Bug 483703 - minor typo in "SELINUX NOTES" section of smb.conf
minor typo in "SELINUX NOTES" section of smb.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 23:25 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.4.5-0.46.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 19:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
some possible changes to text in smb.conf.default (17.99 KB, patch)
2009-11-16 05:56 EST, Murray McAllister
no flags Details | Diff

  None (edit)
Description Murray McAllister 2009-02-02 23:25:27 EST
Description of problem:
In the "SELINUX NOTES" section of "/etc/samba/smb.conf", 3rd paragraph, last line:

# Make sure not to do that on system directories as they may already have
# been marked with othe SELinux labels.

(othe)

Version-Release number of selected component (if applicable):
samba-3.2.7-0.25.fc10.i386
samba-common-3.2.7-0.25.fc10.i386


Expected results:

...been marked with other SELinux labels.

Additional info:
There are other minor text issues in the comments. Should I make a patch for smb.conf.default, or mail suggested changes?
Comment 1 Guenther Deschner 2009-02-03 13:20:07 EST
Yes, please just upload a diff with the other typos that you find.
Comment 2 Murray McAllister 2009-11-16 05:55:11 EST
Hi,

Sorry for the late response. I changed it a bit more than just some spelling mistakes. What do you think? Too excessive?

The "logon path =" option had some white space after it. The diff I will upload removes that. Does that affect the option in any way?

I used grep -v ^\; and diff to try and make sure I did not change any default options. Please double check :)
Comment 3 Murray McAllister 2009-11-16 05:56:24 EST
Created attachment 369668 [details]
some possible changes to text in smb.conf.default

This was based on the smb.conf.default distributed with samba-3.4.0-0.39.fc11.src.rpm
Comment 4 Murray McAllister 2009-11-16 05:57:54 EST
comment #3, was suppose to say smb.conf.default in the upstream version shipped in samba-3.4.0-0.39.fc11.src.rpm, not the /etc/samba/smb.conf.default file after installation.
Comment 5 Bug Zapper 2009-11-18 05:58:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Wade Mealing 2009-11-24 23:56:24 EST
Patch applies cleanly to f12.
Comment 8 Fedora Update System 2009-12-01 15:33:24 EST
samba-3.4.3-50.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/samba-3.4.3-50.fc12
Comment 9 Fedora Update System 2009-12-03 00:11:58 EST
samba-3.4.3-50.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12593
Comment 10 Fedora Update System 2010-01-19 05:24:51 EST
samba-3.4.5-53.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/samba-3.4.5-53.fc12
Comment 11 Fedora Update System 2010-01-19 14:36:11 EST
samba-3.4.5-53.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0759
Comment 12 Fedora Update System 2010-01-25 19:53:48 EST
samba-3.4.5-53.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-01-25 20:05:41 EST
samba-3.4.5-0.46.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.